summaryrefslogtreecommitdiff
path: root/introspect.sh
diff options
context:
space:
mode:
Diffstat (limited to 'introspect.sh')
-rwxr-xr-xintrospect.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/introspect.sh b/introspect.sh
new file mode 100755
index 0000000..9ae80ed
--- /dev/null
+++ b/introspect.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+function get_pkginfo_field() {
+ local file="$1"
+ local field="$2"
+ # FIXME remove dep on GNU tar
+ tar --to-stdout -xf "$file" .PKGINFO | grep '^'"$field"'' | awk -F' = ' '{print $2}'
+}
+
+function die_usage() {
+ echo "FIXME"
+}
+
+if [ "$#" -le 2 ]; then
+ echo Not enough arguments
+ die_usage
+fi
+
+case "$1" in
+ "field")
+ # FIXME must have two more aguments
+ get_pkginfo_field $2 $3
+ ;;
+ "files")
+ echo Not implemented
+ exit 1
+ ;;
+ *)
+ echo "Unknown action \"$2\""
+ die_usage
+ ;;
+esac